E invoicing

Customize Invoice Logo and Colors

Update the business brand settings for e-invoicing. Sets the logo URL and primary/secondary brand colors that appear on generated invoices.

POST
/api/v1/e-invoicing/customize-invoice

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/e-invoicing/customize-invoice" \  -H "Content-Type: application/json" \  -d '{    "logo_url": "https://example.com/logo.png",    "primary_color": "#1A73E8"  }'
{
  "requestId": "3a6538fd-03f0-4b05-ba41-5d44769dd014",
  "requestTimestamp": "2026-04-09 12:00:00",
  "message": "Business brand updated successfully.",
  "statusCode": 200,
  "data": {
    "logo_url": "https://example.com/logo.png",
    "primary_color": "#1A73E8",
    "secondary_color": "#FF5722"
  }
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2026-04-09 12:00:00",
  "message": "Unauthenticated.",
  "statusCode": 401
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2026-04-09 12:00:00",
  "message": "The logo url field is required.",
  "statusCode": 422,
  "errors": {}
}
{
  "requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
  "requestTimestamp": "2026-04-09 12:00:00",
  "message": "An error occurred while processing your request.",
  "statusCode": 500
}

How is this guide?